diff --git a/zebra/interface.c b/zebra/interface.c
index ba6a376536e9..0945ff15b4dd 100644
--- a/zebra/interface.c
+++ b/zebra/interface.c
@@ -217,6 +217,8 @@ static int if_zebra_delete_hook(struct interface *ifp)
 
 		rtadv_if_fini(zebra_if);
 
+		zebra_l2if_update_bond(ifp, false);
+
 		zebra_l2_bridge_if_cleanup(ifp);
 		zebra_evpn_if_cleanup(zebra_if);
 		zebra_evpn_mac_ifp_del(ifp);
